diff --git a/contrib/ntp/ntpd/ntp_parser.c b/contrib/ntp/ntpd/ntp_parser.c
index 834b1fbd1acc..e5ee5e10a459 100644
--- a/contrib/ntp/ntpd/ntp_parser.c
+++ b/contrib/ntp/ntpd/ntp_parser.c
@@ -3589,141 +3613,141 @@ yyparse (void)
 			(yyval.Attr_val) = create_attr_sval(prefix, estrdup(type));
 			YYFREE((yyvsp[0].String));
 		}
-#line 3593 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3617 "ntp_parser.c"
     break;
 
-  case 283: /* interface_command: interface_nic nic_rule_action nic_rule_class  */
-#line 1525 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 286: /* interface_command: interface_nic nic_rule_action nic_rule_class  */
+#line 1559 "../../ntpd/ntp_parser.y"
                 {
 			nic_rule_node *nrn;
 
 			nrn = create_nic_rule_node((yyvsp[0].Integer), NULL, (yyvsp[-1].Integer));
 			APPEND_G_FIFO(cfgt.nic_rules, nrn);
 		}
-#line 3604 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3628 "ntp_parser.c"
     break;
 
-  case 284: /* interface_command: interface_nic nic_rule_action T_String  */
-#line 1532 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 287: /* interface_command: interface_nic nic_rule_action T_String  */
+#line 1566 "../../ntpd/ntp_parser.y"
                 {
 			nic_rule_node *nrn;
 
 			nrn = create_nic_rule_node(0, (yyvsp[0].String), (yyvsp[-1].Integer));
 			APPEND_G_FIFO(cfgt.nic_rules, nrn);
 		}
-#line 3615 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3639 "ntp_parser.c"
     break;
 
-  case 294: /* reset_command: T_Reset counter_set_list  */
-#line 1560 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 297: /* reset_command: T_Reset counter_set_list  */
+#line 1594 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.reset_counters, (yyvsp[0].Int_fifo)); }
-#line 3621 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3645 "ntp_parser.c"
     break;
 
-  case 295: /* counter_set_list: counter_set_list counter_set_keyword  */
-#line 1565 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 298: /* counter_set_list: counter_set_list counter_set_keyword  */
+#line 1599 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3630 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3654 "ntp_parser.c"
     break;
 
-  case 296: /* counter_set_list: counter_set_keyword  */
-#line 1570 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 299: /* counter_set_list: counter_set_keyword  */
+#line 1604 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Int_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3639 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3663 "ntp_parser.c"
     break;
 
-  case 304: /* integer_list: integer_list T_Integer  */
-#line 1594 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 307: /* integer_list: integer_list T_Integer  */
+#line 1628 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3648 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3672 "ntp_parser.c"
     break;
 
-  case 305: /* integer_list: T_Integer  */
-#line 1599 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 308: /* integer_list: T_Integer  */
+#line 1633 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3657 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3681 "ntp_parser.c"
     break;
 
-  case 306: /* integer_list_range: integer_list_range integer_list_range_elt  */
-#line 1607 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 309: /* integer_list_range: integer_list_range integer_list_range_elt  */
+#line 1641 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3666 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3690 "ntp_parser.c"
     break;
 
-  case 307: /* integer_list_range: integer_list_range_elt  */
-#line 1612 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 310: /* integer_list_range: integer_list_range_elt  */
+#line 1646 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3675 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3699 "ntp_parser.c"
     break;
 
-  case 308: /* integer_list_range_elt: T_Integer  */
-#line 1620 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 311: /* integer_list_range_elt: T_Integer  */
+#line 1654 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival('i', (yyvsp[0].Integer)); }
-#line 3681 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3705 "ntp_parser.c"
     break;
 
-  case 310: /* integer_range: '(' T_Integer T_Ellipsis T_Integer ')'  */
-#line 1626 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 313: /* integer_range: '(' T_Integer T_Ellipsis T_Integer ')'  */
+#line 1660 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_rval('-', (yyvsp[-3].Integer), (yyvsp[-1].Integer)); }
-#line 3687 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3711 "ntp_parser.c"
     break;
 
-  case 311: /* string_list: string_list T_String  */
-#line 1631 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 314: /* string_list: string_list T_String  */
+#line 1665 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.String_fifo) = (yyvsp[-1].String_fifo);
 			APPEND_G_FIFO((yyval.String_fifo), create_string_node((yyvsp[0].String)));
 		}
-#line 3696 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3720 "ntp_parser.c"
     break;
 
-  case 312: /* string_list: T_String  */
-#line 1636 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 315: /* string_list: T_String  */
+#line 1670 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.String_fifo) = NULL;
 			APPEND_G_FIFO((yyval.String_fifo), create_string_node((yyvsp[0].String)));
 		}
-#line 3705 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3729 "ntp_parser.c"
     break;
 
-  case 313: /* address_list: address_list address  */
-#line 1644 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 316: /* address_list: address_list address  */
+#line 1678 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Address_fifo) = (yyvsp[-1].Address_fifo);
 			APPEND_G_FIFO((yyval.Address_fifo), (yyvsp[0].Address_node));
 		}
-#line 3714 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3738 "ntp_parser.c"
     break;
 
-  case 314: /* address_list: address  */
-#line 1649 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 317: /* address_list: address  */
+#line 1683 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Address_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Address_fifo), (yyvsp[0].Address_node));
 		}
-#line 3723 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3747 "ntp_parser.c"
     break;
 
-  case 315: /* boolean: T_Integer  */
-#line 1657 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 318: /* boolean: T_Integer  */
+#line 1691 "../../ntpd/ntp_parser.y"
                 {
 			if ((yyvsp[0].Integer) != 0 && (yyvsp[0].Integer) != 1) {
 				yyerror("Integer value is not boolean (0 or 1). Assuming 1");
@@ -3732,35 +3756,35 @@ yyparse (void)
 				(yyval.Integer) = (yyvsp[0].Integer);
 			}
 		}
-#line 3736 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3760 "ntp_parser.c"
     break;
 
-  case 316: /* boolean: T_True  */
-#line 1665 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 319: /* boolean: T_True  */
+#line 1699 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = 1; }
-#line 3742 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3766 "ntp_parser.c"
     break;
 
-  case 317: /* boolean: T_False  */
-#line 1666 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 320: /* boolean: T_False  */
+#line 1700 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = 0; }
-#line 3748 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3772 "ntp_parser.c"
     break;
 
-  case 318: /* number: T_Integer  */
-#line 1670 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 321: /* number: T_Integer  */
+#line 1704 "../../ntpd/ntp_parser.y"
                                 { (yyval.Double) = (double)(yyvsp[0].Integer); }
-#line 3754 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3778 "ntp_parser.c"
     break;
 
-  case 320: /* basedate: T_Basedate T_String  */
-#line 1676 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 323: /* basedate: T_Basedate T_String  */
+#line 1710 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = basedate_eval_string((yyvsp[0].String)); YYFREE((yyvsp[0].String)); }
-#line 3760 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3784 "ntp_parser.c"
     break;
 
-  case 321: /* simulate_command: sim_conf_start '{' sim_init_statement_list sim_server_list '}'  */
-#line 1684 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 324: /* simulate_command: sim_conf_start '{' sim_init_statement_list sim_server_list '}'  */
+#line 1718 "../../ntpd/ntp_parser.y"
                 {
 			sim_node *sn;
 
@@ -3770,125 +3794,125 @@ yyparse (void)
 			/* Revert from ; to \n for end-of-command */
 			old_config_style = 1;
 		}
-#line 3774 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3798 "ntp_parser.c"
     break;
 
-  case 322: /* sim_conf_start: T_Simulate  */
-#line 1701 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 325: /* sim_conf_start: T_Simulate  */
+#line 1735 "../../ntpd/ntp_parser.y"
                            { old_config_style = 0; }
-#line 3780 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3804 "ntp_parser.c"
     break;
 
-  case 323: /* sim_init_statement_list: sim_init_statement_list sim_init_statement T_EOC  */
-#line 1706 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 326: /* sim_init_statement_list: sim_init_statement_list sim_init_statement T_EOC  */
+#line 1740 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-2].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3789 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3813 "ntp_parser.c"
     break;
 
-  case 324: /* sim_init_statement_list: sim_init_statement T_EOC  */
-#line 1711 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 327: /* sim_init_statement_list: sim_init_statement T_EOC  */
+#line 1745 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3798 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3822 "ntp_parser.c"
     break;
 
-  case 325: /* sim_init_statement: sim_init_keyword '=' number  */
-#line 1719 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 328: /* sim_init_statement: sim_init_keyword '=' number  */
+#line 1753 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_dval((yyvsp[-2].Integer), (yyvsp[0].Double)); }
-#line 3804 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3828 "ntp_parser.c"
     break;
 
-  case 328: /* sim_server_list: sim_server_list sim_server  */
-#line 1729 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 331: /* sim_server_list: sim_server_list sim_server  */
+#line 1763 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Sim_server_fifo) = (yyvsp[-1].Sim_server_fifo);
 			APPEND_G_FIFO((yyval.Sim_server_fifo), (yyvsp[0].Sim_server));
 		}
-#line 3813 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3837 "ntp_parser.c"
     break;
 
-  case 329: /* sim_server_list: sim_server  */
-#line 1734 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 332: /* sim_server_list: sim_server  */
+#line 1768 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Sim_server_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Sim_server_fifo), (yyvsp[0].Sim_server));
 		}
-#line 3822 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3846 "ntp_parser.c"
     break;
 
-  case 330: /* sim_server: sim_server_name '{' sim_server_offset sim_act_list '}'  */
-#line 1742 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 333: /* sim_server: sim_server_name '{' sim_server_offset sim_act_list '}'  */
+#line 1776 "../../ntpd/ntp_parser.y"
                         { (yyval.Sim_server) = ONLY_SIM(create_sim_server((yyvsp[-4].Address_node), (yyvsp[-2].Double), (yyvsp[-1].Sim_script_fifo))); }
-#line 3828 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3852 "ntp_parser.c"
     break;
 
-  case 331: /* sim_server_offset: T_Server_Offset '=' number T_EOC  */
-#line 1747 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 334: /* sim_server_offset: T_Server_Offset '=' number T_EOC  */
+#line 1781 "../../ntpd/ntp_parser.y"
                         { (yyval.Double) = (yyvsp[-1].Double); }
-#line 3834 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3858 "ntp_parser.c"
     break;
 
-  case 332: /* sim_server_name: T_Server '=' address  */
-#line 1752 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 335: /* sim_server_name: T_Server '=' address  */
+#line 1786 "../../ntpd/ntp_parser.y"
                         { (yyval.Address_node) = (yyvsp[0].Address_node); }
-#line 3840 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3864 "ntp_parser.c"
     break;
 
-  case 333: /* sim_act_list: sim_act_list sim_act  */
-#line 1757 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 336: /* sim_act_list: sim_act_list sim_act  */
+#line 1791 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Sim_script_fifo) = (yyvsp[-1].Sim_script_fifo);
 			APPEND_G_FIFO((yyval.Sim_script_fifo), (yyvsp[0].Sim_script));
 		}
-#line 3849 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3873 "ntp_parser.c"
     break;
 
-  case 334: /* sim_act_list: sim_act  */
-#line 1762 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 337: /* sim_act_list: sim_act  */
+#line 1796 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Sim_script_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Sim_script_fifo), (yyvsp[0].Sim_script));
 		}
-#line 3858 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3882 "ntp_parser.c"
     break;
 
-  case 335: /* sim_act: T_Duration '=' number '{' sim_act_stmt_list '}'  */
-#line 1770 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 338: /* sim_act: T_Duration '=' number '{' sim_act_stmt_list '}'  */
+#line 1804 "../../ntpd/ntp_parser.y"
                         { (yyval.Sim_script) = ONLY_SIM(create_sim_script_info((yyvsp[-3].Double), (yyvsp[-1].Attr_val_fifo))); }
-#line 3864 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3888 "ntp_parser.c"
     break;
 
-  case 336: /* sim_act_stmt_list: sim_act_stmt_list sim_act_stmt T_EOC  */
-#line 1775 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 339: /* sim_act_stmt_list: sim_act_stmt_list sim_act_stmt T_EOC  */
+#line 1809 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-2].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3873 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3897 "ntp_parser.c"
     break;
 
-  case 337: /* sim_act_stmt_list: sim_act_stmt T_EOC  */
-#line 1780 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 340: /* sim_act_stmt_list: sim_act_stmt T_EOC  */
+#line 1814 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3882 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3906 "ntp_parser.c"
     break;
 
-  case 338: /* sim_act_stmt: sim_act_keyword '=' number  */
-#line 1788 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 341: /* sim_act_stmt: sim_act_keyword '=' number  */
+#line 1822 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_dval((yyvsp[-2].Integer), (yyvsp[0].Double)); }
-#line 3888 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3912 "ntp_parser.c"
     break;
 
 
-#line 3892 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3916 "ntp_parser.c"
 
       default: break;
     }
@@ -3970,6 +3994,7 @@ yyparse (void)
      label yyerrorlab therefore never appears in user code.  */
   if (0)
     YYERROR;
+  ++yynerrs;
 
   /* Do not reclaim the symbols of the rule whose action triggered
      this YYERROR.  */
@@ -4030,7 +4055,7 @@ yyparse (void)
 `-------------------------------------*/
 yyacceptlab:
   yyresult = 0;
-  goto yyreturn;
+  goto yyreturnlab;
 
 
 /*-----------------------------------.
@@ -4038,24 +4063,22 @@ yyparse (void)
 `-----------------------------------*/
 yyabortlab:
   yyresult = 1;
-  goto yyreturn;
+  goto yyreturnlab;
 
 
-#if !defined yyoverflow
-/*-------------------------------------------------.
-| yyexhaustedlab -- memory exhaustion comes here.  |
-`-------------------------------------------------*/
+/*-----------------------------------------------------------.
+| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
+`-----------------------------------------------------------*/
 yyexhaustedlab:
   yyerror (YY_("memory exhausted"));
   yyresult = 2;
-  goto yyreturn;
-#endif
+  goto yyreturnlab;
 
 
-/*-------------------------------------------------------.
-| yyreturn -- parsing is finished, clean up and return.  |
-`-------------------------------------------------------*/
-yyreturn:
+/*----------------------------------------------------------.
+| yyreturnlab -- parsing is finished, clean up and return.  |
+`----------------------------------------------------------*/
+yyreturnlab:
   if (yychar != YYEMPTY)
     {
       /* Make sure we have latest lookahead translation.  See comments at
@@ -4082,7 +4105,7 @@ yyparse (void)
   return yyresult;
 }
 
-#line 1799 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+#line 1833 "../../ntpd/ntp_parser.y"
 
 
 void
